import dynamix_sdk.base as _base


class CloudapiSecurityGroupDeleteResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiSecurityGroupDeleteProtocol(_base.BasePostAPIFunctionProtocol):
    def delete(
        self,
        *,
        security_group_id: int,
    ) -> CloudapiSecurityGroupDeleteResultBool:
        ...
